Page MenuHomePhabricator

[compiler-rt] [test] Disable MPROTECT on two builtin tests
ClosedPublic

Authored by mgorny on Dec 14 2019, 4:08 PM.

Details

Summary

Introduce a new %run_nomprotect substitution to run tests that do not
work with MPROTECT enabled. This uses paxctl via a wrapper on NetBSD,
and evaluates to plain %run on other systems.

Diff Detail

Event Timeline

mgorny created this revision.Dec 14 2019, 4:08 PM
Herald added a project: Restricted Project. · View Herald TranscriptDec 14 2019, 4:08 PM
mgorny updated this revision to Diff 234351.Dec 17 2019, 7:36 PM
mgorny edited the summary of this revision. (Show Details)

Switch to using %run_nomprotect instead of extra %paxctl. This should be more consistent and should avoid potential issues with : on Windows.

krytarowski accepted this revision.Dec 19 2019, 9:41 PM
This revision is now accepted and ready to land.Dec 19 2019, 9:41 PM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptDec 20 2019, 4:59 PM
Herald added a subscriber: Restricted Project. · View Herald Transcript